MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029944Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-07-10 15:422018-07-14 12:41
Reportergka 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformDebian80 64 bitOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029944: Porting to Debian80 64 bit : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file
DescriptionPorting to Debian80 64 bit : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file.
File OCC11856.stp contains invalid string:
#16709 = ADVANCED_FACE ( 'NONE', ( #12221, #12262, #12261 ), #12259, ..T. ) ;

For this case error massage was generated but parameter "SameSence" in the class RWStepShape_RWAdvancedFace remains uninitialized. It was raised exception on the gcc (Debian 4.9.2-10) 4.9.2 in the Release mode.
Steps To ReproduceRun test :
test bugs step bug11856 1
bugs modalg_6 bug27033
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029907assignedbugmaster Implementation of jenkins-test-12 with Debian80 64 bit 
related to 0028203newkgv Coding rules - check testing with MMGT_CLEAR turned OFF 

-  Notes
(0077432)
git (administrator)
2018-07-10 19:22

Branch CR29944 has been created by gka.

SHA-1: e5e73138ddba9ddd364a8a326dcbea1ec1b67e83


Detailed log of new commits:

Author: gka
Date: Tue Jul 10 19:20:50 2018 +0300

    0029944: Porting to VC 2017 : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file.
    
    Value of the boolean parameter "same_sence" in the class RWStepShape_RWAdvancedFace.cxx was initialized by the Standard_True in order to avoid exception in case when step file contains invalid string defined ADVANCED_FACE entity.
    ADVANCED_FACE ( 'NONE', ( #12221, #12262, #12261 ), #12259, ..T. )
(0077452)
gka (developer)
2018-07-11 15:31
edited on: 2018-07-11 16:31

Branch CR29944 is ready to be reviewed. Results of testing can be find by link:
http://jenkins-test-11.nnov.opencascade.com:8080/view/CR29944-master-gka/view/COMPARE/ [^]

(0077458)
bugmaster (administrator)
2018-07-11 16:35

Fix was tested on Debian 8.0 64bit. Results of testing is available by link:

http://occt-tests/JT-12-WEEK38-OCCT/Debian80-64/summary.html [^]
(0077547)
abv (manager)
2018-07-12 18:00

No remarks, please integrate
(0077555)
bugmaster (administrator)
2018-07-12 18:40

Combination -
OCCT branch : CR29944 SHA - e5e73138ddba9ddd364a8a326dcbea1ec1b67e83
Products branch : master SHA - 49c228d5213fed6561994d0148827917539e38c8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17298.659999999672 / 17169.739999999776 [+0.75%]
Products
Total CPU difference: 7536.880000000049 / 7501.920000000043 [+0.47%]
Windows-64-VC10:
OCCT
Total CPU difference: 16864.14490279864 / 16852.39802749857 [+0.07%]
Products
Total CPU difference: 8243.326841499891 / 8212.11104139987 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077612)
git (administrator)
2018-07-14 12:41

Branch CR29944 has been deleted by inv.

SHA-1: e5e73138ddba9ddd364a8a326dcbea1ec1b67e83

- Related Changesets
occt: master e119b6c3
Timestamp: 2018-07-10 16:20:50
Author: gka
Committer: bugmaster
Details ] Diff ]
0029944: Porting to VC 2017 : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file.

Boolean parameter "same_sence" from class RWStepShape_RWAdvancedFace.cxx is now initialized correctly.
mod - src/RWStepShape/RWStepShape_RWAdvancedFace.cxx Diff ] File ]
mod - src/StepData/StepData_StepReaderData.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-10 15:42 gka New Issue
2018-07-10 15:42 gka Assigned To => gka
2018-07-10 15:43 gka Relationship added child of 0029912
2018-07-10 15:49 bugmaster Relationship deleted child of 0029912
2018-07-10 15:49 bugmaster Relationship added related to 0029907
2018-07-10 15:50 bugmaster Platform => Debian80 64 bit
2018-07-10 15:50 bugmaster Summary Porting to VC 2017 : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file => Porting to Debian80 64 bit : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file
2018-07-10 15:50 bugmaster Description Updated View Revisions
2018-07-10 15:54 bugmaster Steps to Reproduce Updated View Revisions
2018-07-10 19:22 git Note Added: 0077432
2018-07-10 21:21 kgv Relationship added related to 0028203
2018-07-11 15:31 gka Note Added: 0077452
2018-07-11 15:31 gka Assigned To gka => abv
2018-07-11 15:31 gka Status new => resolved
2018-07-11 16:31 gka Note Edited: 0077452 View Revisions
2018-07-11 16:35 bugmaster Note Added: 0077458
2018-07-12 18:00 abv Note Added: 0077547
2018-07-12 18:00 abv Assigned To abv => bugmaster
2018-07-12 18:00 abv Status resolved => reviewed
2018-07-12 18:39 bugmaster Test case number => Not needed
2018-07-12 18:40 bugmaster Note Added: 0077555
2018-07-12 18:40 bugmaster Status reviewed => tested
2018-07-14 12:26 bugmaster Changeset attached => occt master e119b6c3
2018-07-14 12:26 bugmaster Status tested => verified
2018-07-14 12:26 bugmaster Resolution open => fixed
2018-07-14 12:41 git Note Added: 0077612


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker